<html>
<head>
<title>OgreParticleSystemManager.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgreParticleSystemManager.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgreParticleSystemManager_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">(Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00010"></a>00010 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00011"></a>00011 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00012"></a>00012 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00013"></a>00013 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00014"></a>00014 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00015"></a>00015 <span class="comment"></span>
<a name="l00016"></a>00016 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00017"></a>00017 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00020"></a>00020 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00021"></a>00021 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00022"></a>00022 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00023"></a>00023 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00024"></a>00024 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00025"></a>00025 <span class="comment">THE SOFTWARE.</span>
<a name="l00026"></a>00026 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00027"></a>00027 <span class="comment">*/</span>
<a name="l00028"></a>00028 <span class="preprocessor">#ifndef __ParticleSystemManager_H__</span>
<a name="l00029"></a>00029 <span class="preprocessor"></span><span class="preprocessor">#define __ParticleSystemManager_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span>
<a name="l00031"></a>00031 
<a name="l00032"></a>00032 <span class="preprocessor">#include &quot;<a class="code" href="OgrePrerequisites_8h.html">OgrePrerequisites.h</a>&quot;</span>
<a name="l00033"></a>00033 <span class="preprocessor">#include &quot;<a class="code" href="OgreParticleSystem_8h.html">OgreParticleSystem.h</a>&quot;</span>
<a name="l00034"></a>00034 <span class="preprocessor">#include &quot;<a class="code" href="OgreFrameListener_8h.html">OgreFrameListener.h</a>&quot;</span>
<a name="l00035"></a>00035 <span class="preprocessor">#include &quot;<a class="code" href="OgreSingleton_8h.html">OgreSingleton.h</a>&quot;</span>
<a name="l00036"></a>00036 <span class="preprocessor">#include &quot;<a class="code" href="OgreIteratorWrappers_8h.html">OgreIteratorWrappers.h</a>&quot;</span>
<a name="l00037"></a>00037 <span class="preprocessor">#include &quot;<a class="code" href="OgreScriptLoader_8h.html">OgreScriptLoader.h</a>&quot;</span>
<a name="l00038"></a>00038 <span class="preprocessor">#include &quot;<a class="code" href="OgreResourceGroupManager_8h.html">OgreResourceGroupManager.h</a>&quot;</span>
<a name="l00039"></a>00039 
<a name="l00040"></a>00040 <span class="keyword">namespace </span>Ogre {
<a name="l00041"></a>00041 
<a name="l00042"></a>00042     <span class="comment">// Forward decl</span>
<a name="l00043"></a>00043     <span class="keyword">class </span>ParticleSystemFactory;
<a name="l00044"></a>00044     
<a name="l00076"></a><a class="code" href="classOgre_1_1ParticleSystemManager.html">00076</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1ParticleSystemManager.html" title="Manages particle systems, particle system scripts (templates) and the available emitter &amp; affector fa...">ParticleSystemManager</a>: 
<a name="l00077"></a>00077         <span class="keyword">public</span> <a class="code" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a>&lt;ParticleSystemManager&gt;, <span class="keyword">public</span> <a class="code" href="classOgre_1_1ScriptLoader.html" title="Abstract class defining the interface used by classes which wish to perform script loading to define ...">ScriptLoader</a>, <span class="keyword">public</span> <a class="code" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator...">FXAlloc</a>
<a name="l00078"></a>00078     {
<a name="l00079"></a><a class="code" href="classOgre_1_1ParticleSystemManager.html#ab020c8dc08fa7956c9b1fb400a99a027">00079</a>         <span class="keyword">friend</span> <span class="keyword">class </span><a class="code" href="classOgre_1_1ParticleSystemFactory.html" title="Factory object for creating ParticleSystem instances.">ParticleSystemFactory</a>;
<a name="l00080"></a>00080     <span class="keyword">public</span>:
<a name="l00081"></a><a class="code" href="classOgre_1_1ParticleSystemManager.html#af0dc6cced29d408f57bd2920f4bcf065">00081</a>         <span class="keyword">typedef</span> <a class="code" href="structOgre_1_1map.html#a1e455b5b9d3d4a7d72c71a0b5d9e21ae">map&lt;String, ParticleSystem*&gt;::type</a> <a class="code" href="classOgre_1_1ParticleSystemManager.html#af0dc6cced29d408f57bd2920f4bcf065">ParticleTemplateMap</a>;
<a name="l00082"></a><a class="code" href="classOgre_1_1ParticleSystemManager.html#aff5f2bd8116adbe38ca29a67b549e97b">00082</a>         <span class="keyword">typedef</span> <a class="code" href="structOgre_1_1map.html">map&lt;String, ParticleAffectorFactory*&gt;::type</a> <a class="code" href="classOgre_1_1ParticleSystemManager.html#aff5f2bd8116adbe38ca29a67b549e97b">ParticleAffectorFactoryMap</a>;
<a name="l00083"></a><a class="code" href="classOgre_1_1ParticleSystemManager.html#aa93e61ad66f3c9dafebadbe2c37b0bad">00083</a>         <span class="keyword">typedef</span> <a class="code" href="structOgre_1_1map.html">map&lt;String, ParticleEmitterFactory*&gt;::type</a> <a class="code" href="classOgre_1_1ParticleSystemManager.html#aa93e61ad66f3c9dafebadbe2c37b0bad">ParticleEmitterFactoryMap</a>;
<a name="l00084"></a><a class="code" href="classOgre_1_1ParticleSystemManager.html#a23ed4aa91264a15e07cc8e32124984f8">00084</a>         <span class="keyword">typedef</span> <a class="code" href="structOgre_1_1map.html">map&lt;String, ParticleSystemRendererFactory*&gt;::type</a> <a class="code" href="classOgre_1_1ParticleSystemManager.html#a23ed4aa91264a15e07cc8e32124984f8">ParticleSystemRendererFactoryMap</a>;
<a name="l00085"></a>00085     <span class="keyword">protected</span>:
<a name="l00086"></a>00086         <a class="code" href="OgrePrerequisites_8h.html#a18a523fad1f9e10324e1742865f562b7">OGRE_AUTO_MUTEX</a>
<a name="l00087"></a>00087             
<a name="l00089"></a><a class="code" href="classOgre_1_1ParticleSystemManager.html#a5b552370a32ad1348b2efd7a9e253d84">00089</a>         <a class="code" href="classOgre_1_1ParticleSystemManager.html#af0dc6cced29d408f57bd2920f4bcf065">ParticleTemplateMap</a> <a class="code" href="classOgre_1_1ParticleSystemManager.html#a5b552370a32ad1348b2efd7a9e253d84" title="Templates based on scripts.">mSystemTemplates</a>;
<a name="l00090"></a>00090         
<a name="l00092"></a><a class="code" href="classOgre_1_1ParticleSystemManager.html#affd2180972e44f713c8df67461673cf7">00092</a>         <a class="code" href="classOgre_1_1ParticleSystemManager.html#aa93e61ad66f3c9dafebadbe2c37b0bad">ParticleEmitterFactoryMap</a> <a class="code" href="classOgre_1_1ParticleSystemManager.html#affd2180972e44f713c8df67461673cf7" title="Factories for named emitter types (can be extended using plugins)">mEmitterFactories</a>;
<a name="l00093"></a>00093 
<a name="l00095"></a><a class="code" href="classOgre_1_1ParticleSystemManager.html#a6b524e17f5d9ff0ff4db12ee1402cbd4">00095</a>         <a class="code" href="classOgre_1_1ParticleSystemManager.html#aff5f2bd8116adbe38ca29a67b549e97b">ParticleAffectorFactoryMap</a> <a class="code" href="classOgre_1_1ParticleSystemManager.html#a6b524e17f5d9ff0ff4db12ee1402cbd4" title="Factories for named affector types (can be extended using plugins)">mAffectorFactories</a>;
<a name="l00096"></a>00096 
<a name="l00098"></a><a class="code" href="classOgre_1_1ParticleSystemManager.html#ad54c551001dfb9c41bcf600a2e54b950">00098</a>         <a class="code" href="classOgre_1_1ParticleSystemManager.html#a23ed4aa91264a15e07cc8e32124984f8">ParticleSystemRendererFactoryMap</a> <a class="code" href="classOgre_1_1ParticleSystemManager.html#ad54c551001dfb9c41bcf600a2e54b950" title="Map of renderer types to factories.">mRendererFactories</a>;
<a name="l00099"></a>00099 
<a name="l00100"></a><a class="code" href="classOgre_1_1ParticleSystemManager.html#a4780609106a121596dafbe3cff3342a7">00100</a>         <a class="code" href="group__General.html#ga0899c03496d3c25c6555889aa76a78db">StringVector</a> <a class="code" href="classOgre_1_1ParticleSystemManager.html#a4780609106a121596dafbe3cff3342a7">mScriptPatterns</a>;
<a name="l00101"></a>00101 
<a name="l00102"></a>00102         <span class="comment">// Factory instance</span>
<a name="l00103"></a><a class="code" href="classOgre_1_1ParticleSystemManager.html#a6fa507c91fc408e74c91dcd875b93d5d">00103</a>         <a class="code" href="classOgre_1_1ParticleSystemFactory.html" title="Factory object for creating ParticleSystem instances.">ParticleSystemFactory</a>* <a class="code" href="classOgre_1_1ParticleSystemManager.html#a6fa507c91fc408e74c91dcd875b93d5d">mFactory</a>;
<a name="l00104"></a>00104 
<a name="l00106"></a>00106         <span class="keywordtype">void</span> parseNewEmitter(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; type, <a class="code" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a>&amp; chunk, <a class="code" href="classOgre_1_1ParticleSystem.html" title="Class defining particle system based special effects.">ParticleSystem</a>* sys);
<a name="l00108"></a>00108         <span class="keywordtype">void</span> parseNewAffector(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; type, <a class="code" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a>&amp; chunk, <a class="code" href="classOgre_1_1ParticleSystem.html" title="Class defining particle system based special effects.">ParticleSystem</a>* sys);
<a name="l00110"></a>00110         <span class="keywordtype">void</span> parseAttrib(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; line, <a class="code" href="classOgre_1_1ParticleSystem.html" title="Class defining particle system based special effects.">ParticleSystem</a>* sys);
<a name="l00112"></a>00112         <span class="keywordtype">void</span> parseEmitterAttrib(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; line, <a class="code" href="classOgre_1_1ParticleEmitter.html" title="Abstract class defining the interface to be implemented by particle emitters.">ParticleEmitter</a>* sys);
<a name="l00114"></a>00114         <span class="keywordtype">void</span> parseAffectorAttrib(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; line, <a class="code" href="classOgre_1_1ParticleAffector.html" title="Abstract class defining the interface to be implemented by particle affectors.">ParticleAffector</a>* sys);
<a name="l00116"></a>00116         <span class="keywordtype">void</span> skipToNextCloseBrace(<a class="code" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a>&amp; chunk);
<a name="l00118"></a>00118         <span class="keywordtype">void</span> skipToNextOpenBrace(<a class="code" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a>&amp; chunk);
<a name="l00119"></a>00119 
<a name="l00121"></a>00121         <a class="code" href="classOgre_1_1ParticleSystem.html" title="Class defining particle system based special effects.">ParticleSystem</a>* createSystemImpl(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name, <span class="keywordtype">size_t</span> quota, 
<a name="l00122"></a>00122             <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; resourceGroup);
<a name="l00124"></a>00124         <a class="code" href="classOgre_1_1ParticleSystem.html" title="Class defining particle system based special effects.">ParticleSystem</a>* createSystemImpl(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; templateName);
<a name="l00126"></a>00126         <span class="keywordtype">void</span> destroySystemImpl(<a class="code" href="classOgre_1_1ParticleSystem.html" title="Class defining particle system based special effects.">ParticleSystem</a>* sys);
<a name="l00127"></a>00127         
<a name="l00128"></a>00128         
<a name="l00129"></a>00129     <span class="keyword">public</span>:
<a name="l00130"></a>00130 
<a name="l00131"></a>00131         <a class="code" href="classOgre_1_1ParticleSystemManager.html" title="Manages particle systems, particle system scripts (templates) and the available emitter &amp; affector fa...">ParticleSystemManager</a>();
<a name="l00132"></a>00132         <span class="keyword">virtual</span> ~<a class="code" href="classOgre_1_1ParticleSystemManager.html" title="Manages particle systems, particle system scripts (templates) and the available emitter &amp; affector fa...">ParticleSystemManager</a>();
<a name="l00133"></a>00133 
<a name="l00151"></a>00151         <span class="keywordtype">void</span> addEmitterFactory(<a class="code" href="classOgre_1_1ParticleEmitterFactory.html" title="Abstract class defining the interface to be implemented by creators of ParticleEmitter subclasses...">ParticleEmitterFactory</a>* factory);
<a name="l00152"></a>00152 
<a name="l00170"></a>00170         <span class="keywordtype">void</span> addAffectorFactory(<a class="code" href="classOgre_1_1ParticleAffectorFactory.html" title="Abstract class defining the interface to be implemented by creators of ParticleAffector subclasses...">ParticleAffectorFactory</a>* factory);
<a name="l00171"></a>00171 
<a name="l00180"></a>00180         <span class="keywordtype">void</span> addRendererFactory(<a class="code" href="classOgre_1_1ParticleSystemRendererFactory.html" title="Abstract class definition of a factory object for ParticleSystemRenderer.">ParticleSystemRendererFactory</a>* factory);
<a name="l00181"></a>00181 
<a name="l00198"></a>00198         <span class="keywordtype">void</span> addTemplate(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name, <a class="code" href="classOgre_1_1ParticleSystem.html" title="Class defining particle system based special effects.">ParticleSystem</a>* sysTemplate);
<a name="l00199"></a>00199 
<a name="l00210"></a>00210         <span class="keywordtype">void</span> removeTemplate(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name, <span class="keywordtype">bool</span> deleteTemplate = <span class="keyword">true</span>);
<a name="l00211"></a>00211 
<a name="l00218"></a>00218         <span class="keywordtype">void</span> removeAllTemplates(<span class="keywordtype">bool</span> deleteTemplate = <span class="keyword">true</span>);
<a name="l00219"></a>00219 
<a name="l00220"></a>00220 
<a name="l00227"></a>00227         <span class="keywordtype">void</span> removeTemplatesByResourceGroup(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; resourceGroup);
<a name="l00228"></a>00228 
<a name="l00241"></a>00241         <a class="code" href="classOgre_1_1ParticleSystem.html" title="Class defining particle system based special effects.">ParticleSystem</a>* createTemplate(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; resourceGroup);
<a name="l00242"></a>00242 
<a name="l00248"></a>00248         <a class="code" href="classOgre_1_1ParticleSystem.html" title="Class defining particle system based special effects.">ParticleSystem</a>* getTemplate(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name);
<a name="l00249"></a>00249 
<a name="l00260"></a>00260         <a class="code" href="classOgre_1_1ParticleEmitter.html" title="Abstract class defining the interface to be implemented by particle emitters.">ParticleEmitter</a>* _createEmitter(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; emitterType, <a class="code" href="classOgre_1_1ParticleSystem.html" title="Class defining particle system based special effects.">ParticleSystem</a>* psys);
<a name="l00261"></a>00261 
<a name="l00270"></a>00270         <span class="keywordtype">void</span> _destroyEmitter(<a class="code" href="classOgre_1_1ParticleEmitter.html" title="Abstract class defining the interface to be implemented by particle emitters.">ParticleEmitter</a>* emitter);
<a name="l00271"></a>00271 
<a name="l00282"></a>00282         <a class="code" href="classOgre_1_1ParticleAffector.html" title="Abstract class defining the interface to be implemented by particle affectors.">ParticleAffector</a>* _createAffector(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; affectorType, <a class="code" href="classOgre_1_1ParticleSystem.html" title="Class defining particle system based special effects.">ParticleSystem</a>* psys);
<a name="l00283"></a>00283 
<a name="l00292"></a>00292         <span class="keywordtype">void</span> _destroyAffector(<a class="code" href="classOgre_1_1ParticleAffector.html" title="Abstract class defining the interface to be implemented by particle affectors.">ParticleAffector</a>* affector);
<a name="l00293"></a>00293 
<a name="l00302"></a>00302         <a class="code" href="classOgre_1_1ParticleSystemRenderer.html" title="Abstract class defining the interface required to be implemented by classes which provide rendering c...">ParticleSystemRenderer</a>* _createRenderer(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; rendererType);
<a name="l00303"></a>00303 
<a name="l00312"></a>00312         <span class="keywordtype">void</span> _destroyRenderer(<a class="code" href="classOgre_1_1ParticleSystemRenderer.html" title="Abstract class defining the interface required to be implemented by classes which provide rendering c...">ParticleSystemRenderer</a>* renderer);
<a name="l00313"></a>00313 
<a name="l00319"></a>00319         <span class="keywordtype">void</span> _initialise(<span class="keywordtype">void</span>);
<a name="l00320"></a>00320 
<a name="l00322"></a>00322         <span class="keyword">const</span> <a class="code" href="group__General.html#ga0899c03496d3c25c6555889aa76a78db">StringVector</a>&amp; getScriptPatterns(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00324"></a>00324         <span class="keywordtype">void</span> parseScript(<a class="code" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a>&amp; stream, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; groupName);
<a name="l00326"></a>00326         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getLoadingOrder(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00327"></a>00327 
<a name="l00328"></a><a class="code" href="classOgre_1_1ParticleSystemManager.html#acbec6e41cd83bce4c74ccda2910a9f9d">00328</a>         <span class="keyword">typedef</span> <a class="code" href="classOgre_1_1MapIterator.html" title="Concrete IteratorWrapper for nonconst access to the underlying key-value container.">MapIterator&lt;ParticleAffectorFactoryMap&gt;</a> <a class="code" href="classOgre_1_1ParticleSystemManager.html#acbec6e41cd83bce4c74ccda2910a9f9d">ParticleAffectorFactoryIterator</a>;
<a name="l00329"></a><a class="code" href="classOgre_1_1ParticleSystemManager.html#ae09f451e66186b1151d8938408bf643a">00329</a>         <span class="keyword">typedef</span> <a class="code" href="classOgre_1_1MapIterator.html" title="Concrete IteratorWrapper for nonconst access to the underlying key-value container.">MapIterator&lt;ParticleEmitterFactoryMap&gt;</a> <a class="code" href="classOgre_1_1ParticleSystemManager.html#ae09f451e66186b1151d8938408bf643a">ParticleEmitterFactoryIterator</a>;
<a name="l00330"></a><a class="code" href="classOgre_1_1ParticleSystemManager.html#ac35fdf5ee3749263881983cec21abd79">00330</a>         <span class="keyword">typedef</span> <a class="code" href="classOgre_1_1MapIterator.html" title="Concrete IteratorWrapper for nonconst access to the underlying key-value container.">MapIterator&lt;ParticleSystemRendererFactoryMap&gt;</a> <a class="code" href="classOgre_1_1ParticleSystemManager.html#ac35fdf5ee3749263881983cec21abd79">ParticleRendererFactoryIterator</a>;
<a name="l00332"></a>00332         <a class="code" href="classOgre_1_1MapIterator.html" title="Concrete IteratorWrapper for nonconst access to the underlying key-value container.">ParticleAffectorFactoryIterator</a> getAffectorFactoryIterator(<span class="keywordtype">void</span>);
<a name="l00334"></a>00334         <a class="code" href="classOgre_1_1MapIterator.html" title="Concrete IteratorWrapper for nonconst access to the underlying key-value container.">ParticleEmitterFactoryIterator</a> getEmitterFactoryIterator(<span class="keywordtype">void</span>);
<a name="l00336"></a>00336         <a class="code" href="classOgre_1_1MapIterator.html" title="Concrete IteratorWrapper for nonconst access to the underlying key-value container.">ParticleRendererFactoryIterator</a> getRendererFactoryIterator(<span class="keywordtype">void</span>);
<a name="l00337"></a>00337 
<a name="l00338"></a>00338 
<a name="l00339"></a><a class="code" href="classOgre_1_1ParticleSystemManager.html#a6af21cf51363b600f9798487f6465518">00339</a>         <span class="keyword">typedef</span> <a class="code" href="classOgre_1_1MapIterator.html" title="Concrete IteratorWrapper for nonconst access to the underlying key-value container.">MapIterator&lt;ParticleTemplateMap&gt;</a> <a class="code" href="classOgre_1_1ParticleSystemManager.html#a6af21cf51363b600f9798487f6465518">ParticleSystemTemplateIterator</a>;
<a name="l00341"></a><a class="code" href="classOgre_1_1ParticleSystemManager.html#a1b4d71c58e8d0e738a252e73638a13fd">00341</a>         <a class="code" href="classOgre_1_1MapIterator.html" title="Concrete IteratorWrapper for nonconst access to the underlying key-value container.">ParticleSystemTemplateIterator</a> getTemplateIterator(<span class="keywordtype">void</span>)
<a name="l00342"></a>00342         {
<a name="l00343"></a>00343             <span class="keywordflow">return</span> <a class="code" href="classOgre_1_1MapIterator.html" title="Concrete IteratorWrapper for nonconst access to the underlying key-value container.">ParticleSystemTemplateIterator</a>(
<a name="l00344"></a>00344                 mSystemTemplates.begin(), mSystemTemplates.end());
<a name="l00345"></a>00345         } 
<a name="l00346"></a>00346 
<a name="l00348"></a><a class="code" href="classOgre_1_1ParticleSystemManager.html#ab1304f08164981cb28954fa0fed6351c">00348</a>         <a class="code" href="classOgre_1_1ParticleSystemFactory.html" title="Factory object for creating ParticleSystem instances.">ParticleSystemFactory</a>* <a class="code" href="classOgre_1_1ParticleSystemManager.html#ab1304f08164981cb28954fa0fed6351c" title="Get an instance of ParticleSystemFactory (internal use).">_getFactory</a>(<span class="keywordtype">void</span>) { <span class="keywordflow">return</span> mFactory; }
<a name="l00349"></a>00349         
<a name="l00365"></a>00365         <span class="keyword">static</span> <a class="code" href="classOgre_1_1ParticleSystemManager.html" title="Manages particle systems, particle system scripts (templates) and the available emitter &amp; affector fa...">ParticleSystemManager</a>&amp; getSingleton(<span class="keywordtype">void</span>);
<a name="l00381"></a>00381         <span class="keyword">static</span> <a class="code" href="classOgre_1_1ParticleSystemManager.html" title="Manages particle systems, particle system scripts (templates) and the available emitter &amp; affector fa...">ParticleSystemManager</a>* getSingletonPtr(<span class="keywordtype">void</span>);
<a name="l00382"></a>00382 
<a name="l00383"></a>00383     };
<a name="l00384"></a>00384 
<a name="l00386"></a><a class="code" href="classOgre_1_1ParticleSystemFactory.html">00386</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1ParticleSystemFactory.html" title="Factory object for creating ParticleSystem instances.">ParticleSystemFactory</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1MovableObjectFactory.html" title="Interface definition for a factory class which produces a certain kind of MovableObject, and can be registered with Root in order to allow all clients to produce new instances of this object, integrated with the standard Ogre processing.">MovableObjectFactory</a>
<a name="l00387"></a>00387     {
<a name="l00388"></a>00388     <span class="keyword">protected</span>:
<a name="l00389"></a>00389         <a class="code" href="classOgre_1_1MovableObject.html" title="Abstract class defining a movable object in a scene.">MovableObject</a>* createInstanceImpl(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name, <span class="keyword">const</span> <a class="code" href="group__General.html#gadccb207c184efc0a6fb2a00ab6320d19" title="Name / value parameter pair (first = name, second = value)">NameValuePairList</a>* params);
<a name="l00390"></a>00390     <span class="keyword">public</span>:
<a name="l00391"></a><a class="code" href="classOgre_1_1ParticleSystemFactory.html#ae495039f5dac21a083300db5dceb4425">00391</a>         <a class="code" href="classOgre_1_1ParticleSystemFactory.html#ae495039f5dac21a083300db5dceb4425">ParticleSystemFactory</a>() {}
<a name="l00392"></a><a class="code" href="classOgre_1_1ParticleSystemFactory.html#a8e78875741535ac774f61fb7efc2191a">00392</a>         <a class="code" href="classOgre_1_1ParticleSystemFactory.html#a8e78875741535ac774f61fb7efc2191a">~ParticleSystemFactory</a>() {}
<a name="l00393"></a>00393         
<a name="l00394"></a><a class="code" href="classOgre_1_1ParticleSystemFactory.html#aebb8a4e00a7859973bbd99a030fb186b">00394</a>         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1ParticleSystemFactory.html#aebb8a4e00a7859973bbd99a030fb186b">FACTORY_TYPE_NAME</a>;
<a name="l00395"></a>00395 
<a name="l00396"></a>00396         <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; getType(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00397"></a>00397         <span class="keywordtype">void</span> destroyInstance( <a class="code" href="classOgre_1_1MovableObject.html" title="Abstract class defining a movable object in a scene.">MovableObject</a>* obj);  
<a name="l00398"></a>00398 
<a name="l00399"></a>00399     };
<a name="l00403"></a>00403 }
<a name="l00404"></a>00404 
<a name="l00405"></a>00405 <span class="preprocessor">#endif</span>
<a name="l00406"></a>00406 <span class="preprocessor"></span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:51
</p>
</body>
</html>
